# LogMarker

debug logging with marker

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'log_marker'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install log_marker

## Usage

log_marker methods
`ml`, `p!`, `pp!`, `puts!`

```ruby
ml 'Hello my debug log'
# => ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
#
#
#
#
#
# "Hello my debug log"
#
#
#
#
#
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================

p! 'Hello my debug log'
# => ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
#
#
#
#
#
# "Hello my debug log"
#
#
#
#
#
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================

puts! 'Hello my debug log'
# => ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
#
#
#
#
#
# Hello my debug log
#
#
#
#
#
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================

pp! ['Hello my debug log'] * 5
# => ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
#
#
#
#
#
# ["Hello my debug log",
#  "Hello my debug log",
#  "Hello my debug log",
#  "Hello my debug log",
#  "Hello my debug log"]
#
#
#
#
#
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
# ======================================================================================================================================================
```

## Config

```ruby
# config/initializers/log_marker.rb

LogMarker.config do |config|
  config.ml_alias = :p!
  config.marker   = -> { (['=' * 150] * 5).join("\n") }
end
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/log_marker. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the LogMarker project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/log_marker/blob/master/CODE_OF_CONDUCT.md).
